package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 优惠券实体类
 */
@Data
public class Coupon {
    private Integer id;                     //优惠券ID；
    private Integer stationId;              //油站ID
    private String couponName;              //优惠券名称；
    private String couponType;              //优惠券类型： 1现金劵，2折扣券，3兑换券；
    private BigDecimal couponThresholdAmt;  //优惠券使用门槛金额；
    private String oilType;                 //1 柴油，2 汽油;
    private String couponAmt;               //优惠券优惠金额；
    private Integer couponNum;              //优惠券数量;
    private String effectiveTimeType;       //有效时间类型： 1，固定时间；2，领取后x天内有效；
    private Date effectiveTimeStart;        //固定时间-有效开始时间；
    private Date effectiveTimeEnd;          //固定时间-有效结束时间；
    private Integer effectiveDayNum;        //有效天数；
    private Integer couponReceiveNum;       //优惠劵领取数量；
    private String openPlatform;            //'发放平台，1.微信 2支付宝'；
    private String grantStatus;             //发放状态：0，未发放；1，已发放；
    private String status;                  //有效状态：0，未生效； 1，生效；2，失效；
    private String createBy;                //创建人；
}
