package com.platform.yijia.pojo;

import lombok.Data;

/***
 * 生成订单时返回前端参数信息
 */
@Data
public class PayOrderResultInfo {

    private String ordNo;           //优惠金额
    private String discountAmt;     //优惠金额
    private String gradeDiscountPriceAmt;    //价格优惠金额
    private String dzkDiscountAmt;     //优惠金额
    private String receivableAmt;   //应收金额
    private String amt;             //实收金额
    private String oilLiters;       //加油金额
    private String discountPrice;   //优惠单价
    private String oilPrice;        //原单价
    private String cardEnabledFlag;    //是否开电子卡功能
    private String dzkAmt;         //电子卡金额
    private String balance;         //电子卡余额
    private String cardOilsType;    //电子卡类型
    private String oilsCardFlag;      //该用户是否有改电子卡

    //是否强制将该扫码用户拉入此标签：0、否；1、是；
    private String isAddLabel;

    //集团为LNG平台加气 时所需司机价
    private String sellPrice;             //司机价
    private String sellAmt;               //司机价后实收金额
    private String sellDiscountAmt;     //司机价后优惠金额
}
